## org.gnu.gtk.event
Class TextViewEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.TextViewEvent

All Implemented Interfaces:
  java.io.Serializable

public class TextViewEvent
extends GtkEvent

This event is used to identify events of the TextView widget.

See Also:
  `TextView`, `TextViewListener`, Serialized Form

Nested Class Summary
`static class` `TextViewEvent.Type` Used to describe the type of event.

Constructor Summary
`TextViewEvent(java.lang.Object source, TextViewEvent.Type type)` Creates a new text view event

Method Summary
`int` `getCount()` Returns the count.
`Menu` `getMenu()` Returns the menu.
`MovementStep` `getMovementStep()` Returns the movementStep.
`boolean` `isOfType(TextViewEvent.Type test)` Comparison of TextViewEvent types
`void` `setCount(int count)` Sets the count.
`void` `setMenu(Menu menu)` Sets the menu.
`void` `setMovementStep(MovementStep movementStep)` Sets the movementStep.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextViewEvent

    public TextViewEvent(java.lang.Object source,
                         TextViewEvent.Type type)

  Creates a new text view event

Parameters:
  `source` - The object that triggered the event.
  `type` - The identification of the type of event that occurred.

Method Detail

### isOfType

    public boolean isOfType(TextViewEvent.Type test)

  Comparison of TextViewEvent types

  Parameters:
    `test` - The TreeViewEvent type to compare with this object.
  Returns:
    true if the types are the same.

### getMenu

    public Menu getMenu()

  Returns the menu.

  Returns:
    The menu item that was set when the POPULATE_POPUP event type is triggered.

### getCount

    public int getCount()

  Returns the count.

  Returns:
    int

### setMenu

    public void setMenu(Menu menu)

  Sets the menu.

  Parameters:
    `menu` - The menu to set

### getMovementStep

    public MovementStep getMovementStep()

  Returns the movementStep.

  Returns:
    MovementStep

### setCount

    public void setCount(int count)

  Sets the count.

  Parameters:
    `count` - The count to set

### setMovementStep

    public void setMovementStep(MovementStep movementStep)

  Sets the movementStep.

  Parameters:
    `movementStep` - The movementStep to set